{% extends "src/elements/_template.njk" %}
{% set title = "Яндекс Директ" %}
{% block content %}
    <div class="main-header">
        <h1 class="main-header__title d-none d-xl-block">{{ title }}</h1>
        <h1 class="main-header__title d-xl-none">Данные <small>(Яндекс Директ)</small></h1>
    </div><!-- .main-header -->

    <div class="main-bar d-none d-md-flex mb-60">
        <div class="main-bar__group">
            <div class="btn-group btn-group-xxl">
                <a href="#" class="btn btn-white btn-rounded btn-sm">Клиенты</a>
                <div class="btn-group-divider"></div>
                <a href="#" class="btn btn-white btn-rounded btn-sm">Аккаунты</a>
                <div class="btn-group-divider"></div>
                <a href="#" class="btn btn-white btn-rounded btn-sm active">Данные</a>
            </div>
        </div><!-- .main-bar__group -->
        <div class="main-bar__group">
            <div class="main-header__content">
                <button type="button" class="btn btn-primary btn-long">
                    <i class="icon-plus">
                        {{ svgIcon('plus', viewBox='0 0 15 14') }}
                    </i>
                    <span>Загрузка ретро-данных</span>
                </button>
            </div>
        </div><!-- .main-bar__group -->
    </div><!-- .main-bar -->


    <div class="main-bar mb-1">
        <div class="main-bar__group">
            <div class="main-bar__item">
                <label class="custom-field custom-field--date">
                    <input type="text" name="date" placeholder="16.12.2023" autocomplete="off" data-date>
                    <i class="custom-field__icon">
                        {{ svgIcon('calendar', viewBox='0 0 15 14') }}
                    </i>
                </label>
            </div>
            <div class="main-bar__item d-block d-md-none">
                <button type="button" class="btn btn-xs btn-primary" data-bs-toggle="modal" data-bs-target="#add-account">
                    <i class="icon-plus">
                        {{ svgIcon('plus', viewBox='0 0 15 14') }}
                    </i>
                    <span>Добавить</span>
                </button>
            </div>
            <div class="main-bar__item d-none d-md-block">
                <div data-dropdown>
                    <button class="btn btn-outline-primary btn-rounded btn-filter" type="button" data-dropdown-toggle>
                        <i>
                            {{ svgIcon('filter', viewBox='0 0 16 16') }}
                        </i>
                        <span>Фильтры</span>
                    </button>
                    <div class="dropdown-filter" data-dropdown-content>
                        <div class="dropdown-filter__header">
                            <div class="dropdown-filter__title">Фильтры</div>
                            <button type="button" class="dropdown-filter__clear" data-dropdown-toggle>Очистить все</button>
                        </div>
                        <div class="dropdown-filter__content">
                            <div class="dropdown-filter__item">
                                <div class="dropdown-filter__label">Логин</div>
                                <div class="dropdown-filter__select">
                                    <select class="form-select">
                                        <option value="Выберите значения" selected disabled>Выберите значения</option>
                                        <option value="Значение 1">Значение 1</option>
                                        <option value="Значение 2">Значение 2</option>
                                        <option value="Значение 3">Значение 3</option>
                                        <option value="Значение 4">Значение4</option>
                                    </select>
                                </div>
                            </div><!-- .dropdown-filter__item -->
                            <div class="dropdown-filter__item">
                                <div class="dropdown-filter__label">Email</div>
                                <div class="dropdown-filter__select">
                                    <select class="form-select">
                                        <option value="Выберите значения" selected disabled>Выберите значения</option>
                                        <option value="Значение 1">Значение 1</option>
                                        <option value="Значение 2">Значение 2</option>
                                        <option value="Значение 3">Значение 3</option>
                                        <option value="Значение 4">Значение4</option>
                                    </select>
                                </div>
                            </div><!-- .dropdown-filter__item -->
                            <div class="dropdown-filter__item">
                                <div class="dropdown-filter__label">Клиент</div>
                                <div class="dropdown-filter__select">
                                    <select class="form-select">
                                        <option value="Выберите значения" selected disabled>Выберите значения</option>
                                        <option value="Значение 1">Значение 1</option>
                                        <option value="Значение 2">Значение 2</option>
                                        <option value="Значение 3">Значение 3</option>
                                        <option value="Значение 4">Значение4</option>
                                    </select>
                                </div>
                            </div><!-- .dropdown-filter__item -->
                            <div class="dropdown-filter__item">
                                <div class="dropdown-filter__label">Локация</div>
                                <div class="dropdown-filter__select">
                                    <select class="form-select">
                                        <option value="Выберите значения" selected disabled>Выберите значения</option>
                                        <option value="Значение 1">Значение 1</option>
                                        <option value="Значение 2">Значение 2</option>
                                        <option value="Значение 3">Значение 3</option>
                                        <option value="Значение 4">Значение4</option>
                                    </select>
                                </div>
                            </div><!-- .dropdown-filter__item -->
                            <div class="dropdown-filter__item">
                                <div class="dropdown-filter__label">Просмотры</div>
                                <div class="dropdown-filter__select">
                                    <select class="form-select">
                                        <option value="Выберите значения" selected disabled>Выберите значения</option>
                                        <option value="Значение 1">Значение 1</option>
                                        <option value="Значение 2">Значение 2</option>
                                        <option value="Значение 3">Значение 3</option>
                                        <option value="Значение 4">Значение4</option>
                                    </select>
                                </div>
                            </div><!-- .dropdown-filter__item -->
                            <div class="dropdown-filter__item">
                                <div class="dropdown-filter__label">Клики</div>
                                <div class="dropdown-filter__select">
                                    <select class="form-select">
                                        <option value="Выберите значения" selected disabled>Выберите значения</option>
                                        <option value="Значение 1">Значение 1</option>
                                        <option value="Значение 2">Значение 2</option>
                                        <option value="Значение 3">Значение 3</option>
                                        <option value="Значение 4">Значение4</option>
                                    </select>
                                </div>
                            </div><!-- .dropdown-filter__item -->
                            <div class="dropdown-filter__item">
                                <div class="dropdown-filter__label">Стоимость</div>
                                <div class="dropdown-filter__select">
                                    <select class="form-select">
                                        <option value="Выберите значения" selected disabled>Выберите значения</option>
                                        <option value="Значение 1">Значение 1</option>
                                        <option value="Значение 2">Значение 2</option>
                                        <option value="Значение 3">Значение 3</option>
                                        <option value="Значение 4">Значение4</option>
                                    </select>
                                </div>
                            </div><!-- .dropdown-filter__item -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="chart-group mb-20">
        <div class="chart-box">
            <div class="chart-box__header">
                <div class="chart-box__title">Расход средств</div>
                <div class="chart-box__switcher">
                    <div class="select select--right" data-select data-dropdown>
                        <input type="hidden" name="select" value="" data-select-value>
                        <button class="select__button select__button--sm" data-dropdown-toggle>
                            <span class="select__active" data-select-active>Параметр</span>
                        </button>
                        <div class="select__dropdown" data-dropdown-content>
                            <div class="select__item" data-select-item="Расход">Расход</div>
                            <div class="select__item" data-select-item="Клики">Клики</div>
                            <div class="select__item" data-select-item="Просмотры">Просмотры</div>
                            <div class="select__item" data-select-item="Расход с налогом">Расход с налогом</div>
                            <div class="select__item" data-select-item="Расход в валюте">Расход в валюте</div>
                        </div>
                    </div>
                </div>
            </div><!-- .chart-box__header -->
            <div class="chart-box__main">
                <canvas data-chart-one></canvas>
            </div><!-- .chart-box__main -->
        </div><!-- .chart-box -->
        <div class="chart-box">
            <div class="chart-box__header">
                <div class="chart-box__title">Топ 3 кампании</div>
                <div class="chart-box__switcher">
                    <div class="select select--right" data-select data-dropdown>
                        <input type="hidden" name="select" value="" data-select-value>
                        <button class="select__button select__button--sm" data-dropdown-toggle>
                            <span class="select__active" data-select-active>Параметр</span>
                        </button>
                        <div class="select__dropdown" data-dropdown-content>
                            <div class="select__item" data-select-item="Расход">Расход</div>
                            <div class="select__item" data-select-item="Клики">Клики</div>
                            <div class="select__item" data-select-item="Просмотры">Просмотры</div>
                        </div>
                    </div>
                </div>
            </div><!-- .chart-box__header -->
            <div class="chart-box__main">
                <div class="chart-box__doughnut">
                    <canvas data-chart-two></canvas>
                </div>
                <div class="chart-box__legend">
                    <div class="chart-legend">
                        <div class="chart-legend__color" style="background-color: #8CC3FF"></div>
                        <div class="chart-legend__title">Компания 1</div>
                        <div class="chart-legend__line"></div>
                        <div class="chart-legend__value">1000</div>
                    </div>
                    <div class="chart-legend">
                        <div class="chart-legend__color" style="background-color: #0176F6"></div>
                        <div class="chart-legend__title">Компания 2</div>
                        <div class="chart-legend__line"></div>
                        <div class="chart-legend__value">500</div>
                    </div>
                    <div class="chart-legend">
                        <div class="chart-legend__color" style="background-color: #7AE7FF"></div>
                        <div class="chart-legend__title">Компания 3</div>
                        <div class="chart-legend__line"></div>
                        <div class="chart-legend__value">300</div>
                    </div>
                </div>
            </div><!-- .chart-box__main -->
        </div><!-- .chart-box -->
    </div>
    <div class="poster poster--md mb-80">
        <div class="poster__title">Создайте и управляйте правилами замены</div>
        <div class="poster__content">Добавляйте названиям компаний псевдонимы, для ускорения рабочих процессов</div>
        <div class="poster__media poster__media--chart">
            <img src="img/chart-poster-image.png" class="img-fluid" alt="">
        </div>
        <div class="poster__button">
            <a href="#" class="btn btn-primary btn-sm">
                <span>Перейти</span>
            </a>
        </div>
    </div><!-- .poster -->

    <div class="d-flex align-center justify-content-between flex-wrap column-gap-2 row-gap-1 mb-1">
        <h3>Данные и показатели</h3>
        <div>
            <button type="button" class="btn btn-primary btn-long">
                <i class="icon-plus">
                    {{ svgIcon('plus', viewBox='0 0 15 14') }}
                </i>
                <span>Скачать данные</span>
            </button>
        </div>
    </div>

    <div class="main-bar">
        <div class="main-bar__group">
            <div class="main-bar__label">Записи: <strong>64</strong></div>
        </div>
    </div>
    <div class="line"></div>

    <div class="table-responsive">
        <table class="table table-main">
            <thead>
            <tr>
                <th class="td-sticky">
                    <div class="table-heading">
                        <span>Номер</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>Дата</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>Имя компании</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>ID компании</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>Локация</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>Просмотры</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>Клики</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>Стоимость</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>Клиент</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>Spend Exchange</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>Spend with tax with exchange</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>Tax</span>
                    </div>
                </th>
                <th class="text-center">
                    <div class="table-heading">
                        <span>Spend with tax</span>
                    </div>
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td class="text-nowrap td-sticky">001</td>
                <td class="text-nowrap text-center">01.01.2024</td>
                <td class="text-nowrap text-center">properhometurkey@yandex.ru</td>
                <td class="text-nowrap text-center">81496950</td>
                <td class="text-center">Карачаево-Черкесская Республика</td>
                <td class="text-nowrap text-center">81496950</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">properhometurkey@yandex.ru</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
            </tr>
            <tr>
                <td class="text-nowrap td-sticky">001</td>
                <td class="text-nowrap text-center">01.01.2024</td>
                <td class="text-nowrap text-center">properhometurkey@yandex.ru</td>
                <td class="text-nowrap text-center">81496950</td>
                <td class="text-center">Карачаево-Черкесская Республика</td>
                <td class="text-nowrap text-center">81496950</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">properhometurkey@yandex.ru</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
            </tr>
            <tr>
                <td class="text-nowrap td-sticky">001</td>
                <td class="text-nowrap text-center">01.01.2024</td>
                <td class="text-nowrap text-center">properhometurkey@yandex.ru</td>
                <td class="text-nowrap text-center">81496950</td>
                <td class="text-center">Карачаево-Черкесская Республика</td>
                <td class="text-nowrap text-center">81496950</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">properhometurkey@yandex.ru</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
            </tr>
            <tr>
                <td class="text-nowrap td-sticky">001</td>
                <td class="text-nowrap text-center">01.01.2024</td>
                <td class="text-nowrap text-center">properhometurkey@yandex.ru</td>
                <td class="text-nowrap text-center">81496950</td>
                <td class="text-center">Карачаево-Черкесская Республика</td>
                <td class="text-nowrap text-center">81496950</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">properhometurkey@yandex.ru</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
            </tr>
            <tr>
                <td class="text-nowrap td-sticky">001</td>
                <td class="text-nowrap text-center">01.01.2024</td>
                <td class="text-nowrap text-center">properhometurkey@yandex.ru</td>
                <td class="text-nowrap text-center">81496950</td>
                <td class="text-center">Карачаево-Черкесская Республика</td>
                <td class="text-nowrap text-center">81496950</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">properhometurkey@yandex.ru</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
            </tr>
            <tr>
                <td class="text-nowrap td-sticky">001</td>
                <td class="text-nowrap text-center">01.01.2024</td>
                <td class="text-nowrap text-center">properhometurkey@yandex.ru</td>
                <td class="text-nowrap text-center">81496950</td>
                <td class="text-center">Карачаево-Черкесская Республика</td>
                <td class="text-nowrap text-center">81496950</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">properhometurkey@yandex.ru</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
            </tr>
            <tr>
                <td class="text-nowrap td-sticky">001</td>
                <td class="text-nowrap text-center">01.01.2024</td>
                <td class="text-nowrap text-center">properhometurkey@yandex.ru</td>
                <td class="text-nowrap text-center">81496950</td>
                <td class="text-center">Карачаево-Черкесская Республика</td>
                <td class="text-nowrap text-center">81496950</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">properhometurkey@yandex.ru</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
                <td class="text-nowrap text-center">12</td>
            </tr>
            </tbody>
        </table>
    </div>

{% endblock %}

{% block pageScripts %}
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script>
        // Chart One
        if (document.querySelector('[data-chart-one]')) {
            const ctx1 = document.querySelector('[data-chart-one]')
            new Chart(ctx1, {
                type: 'line',
                data: {
                    labels: ['Январь', 'Февраль', 'Март', 'Апрель', 'Май', 'Июнь', 'Июль', 'Август', 'Сентябрь', 'Декабрь'],
                    datasets: [{
                        label: 'Расходы',
                        data: [30, 59, 90, 81, 56, 55, 40,50,60,10,70,100],
                        borderWidth: 1,
                        tension: 0.5,
                        fill: true,
                        borderColor: '#0176F6',
                        backgroundColor: [
                            'rgba(1, 118, 246, 0.1)',
                            'rgba(255, 255, 255, 0)'
                        ],
                    }]
                },
                options: {
                    plugins: {
                        legend: {
                            display: false,
                        }
                    },
                    scales: {
                        y: {
                            beginAtZero: true
                        }
                    }
                }
            });
        }

        if (document.querySelector('[data-chart-two]')) {

            const data2 = {
                labels: ['Компания 1', 'Компания 2', 'Компания 3'],
                datasets: [{
                    data: [1000, 500, 300],
                    backgroundColor: [
                        '#7AE7FF',
                        '#0176F6',
                        '#8CC3FF'
                    ],
                },{
                    weight: 0.2
                }]
            }

            const ctx2 = document.querySelector('[data-chart-two]');
            let chartTwo = new Chart(ctx2, {
                type: 'doughnut',
                data: data2,
                options: {
                    cutout: 90,
                    responsive: true,
                    plugins: {
                        legend: {
                            display: false,
                        }
                    }
                }
            });
        }

    </script>
{% endblock %}
